Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Firefox 53 not compatible with Cisco Webex

  • 3 replies
  • 9 have this problem
  • 1 view
  • Last reply by cor-el

more options

Each time I try to launch a Webex meeting in Firefox, it looks as if it will open the Webex--even loads a portion of the meeting room, then results in a Firefox error message saying, "This version of Cisco WebEx does not support your version of Firefox. Try one of the following options: Use a different browser to join the meeting. Install Firefox version 51 or earlier."

I checked my version of Firefox and it says 53.0.2 so according to the error message, this should work? Unless "earlier" means a version before 51. Either way, I'm not sure how to solve this problem. Is it possible to go back to a previous version of Firefox if that's indeed what the error means?

All Replies (3)

more options

hi, have you tried cisco's webex addon yet?: https://addons.mozilla.org/en-US/firefox/addon/cisco-webex-extension/

more options

I tried it, and restart Firefox and still had the same issue. I went in to make sure the add-on installed and it did. Any other suggestions?

more options

You can try the Firefox 52 ESR version to see if that version works.

You can install a portable (ESR) Firefox version to access websites that do not work with the current Firefox release. The portable version comes with its own profile folder and doesn't interfere with currently installed Firefox versions.

See also Firefox 52.1.1 ESR:

If you install multiple releases then make sure to create a separate profile for each version.